Bug 37409 - Update to 4.0 fails if firefox and univention-mozilla-firefox
Update to 4.0 fails if firefox and univention-mozilla-firefox
Status: CLOSED DUPLICATE of bug 37410
Product: UCS
Classification: Unclassified
Component: Update - Release updates
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-0-errata
Assigned To: Felix Botner
Arvid Requate
:
Depends on: 36453
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-22 09:22 CET by Tim Petersen
Modified: 2015-01-16 12:04 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
package list (68.52 KB, text/plain)
2014-12-22 10:02 CET, Tim Petersen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Petersen univentionstaff 2014-12-22 09:22:28 CET
+++ This bug was initially created as a clone of Bug #36453 +++

UCS 3.2 

-> univention-install firefox univention-mozilla-firefox

-> univention-upgrade
...
Starting update process, this may take a while.
Check /var/log/univention/updater.log for more information.
Error: Please check "/var/log/univention/updater.log" for details.
ERROR: update failed. Please check /var/log/univention/updater.log

Es wurden 697 MB in 43 s geholt (16,2 MB/s)
E: »firefox-en« konnte nicht unmittelbar konfiguriert werden. Lesen Sie »man 5 apt.conf« unter APT::Immediate-Configure bezüglich weiterer Details. (2)
Error: Failed to execute "apt-get -o DPkg::Options::=--force-confold -o DPkg::Options::=--force-overwrite -o DPkg::Options::=--force-overwrite-dir --trivial-only=no --assume-yes --quiet=1 -u dist-upgrade"
exitcode of univention-updater: 1
ERROR: update failed. Please check /var/log/univention/updater.log


At least one customer hit this today at 2014122221000166:
The following packages have unmet dependencies:
 univention-mozilla-firefox : Depends: firefox-en but it is not going to be installed or
                                       firefox-de but it is not going to be installed or
                                       firefox but it is not going to be installed
[...]
emv firefox-de [1:31.3.0esr-1.51.201412171610] []
Inst firefox-en (1:31.2.0esr-3.46.201410312332 Univention:updates.software-univention.de [amd64]) []
E: Conf Broken libapt-pkg4.12:amd64
E: Could not perform immediate configuration on 'firefox-en'. Please see man 5 apt.conf under APT::Immediate-Configure for details. (2)


I'll try to get package lists, etc. to reproduce it.
Comment 1 Tim Petersen univentionstaff 2014-12-22 10:00:57 CET
customer system information:

ucr search --brief repository

repository/app_center/installed: KD-KV-NA-S4-UV
repository/app_center/server: appcenter.software-univention.de
repository/mirror/basepath: /var/lib/univention-repository
repository/mirror/recreate_packages: yes
repository/mirror/threads: 10
repository/mirror: false
repository/online/component/3.2-0-errata/description: Errata updates for UCS 3.2-0
repository/online/component/3.2-0-errata/localmirror: true
repository/online/component/3.2-0-errata/version: 3.2
repository/online/component/3.2-0-errata: false
repository/online/component/3.2-1-errata/description: Errata updates for UCS 3.2-1
repository/online/component/3.2-1-errata/localmirror: true
repository/online/component/3.2-1-errata/version: 3.2
repository/online/component/3.2-1-errata: false
repository/online/component/3.2-2-errata/description: Errata updates for UCS 3.2-2
repository/online/component/3.2-2-errata/localmirror: true
repository/online/component/3.2-2-errata/version: 3.2
repository/online/component/3.2-2-errata: false
repository/online/component/3.2-3-errata/description: Errata updates for UCS 3.2-3
repository/online/component/3.2-3-errata/localmirror: true
repository/online/component/3.2-3-errata/version: 3.2
repository/online/component/3.2-3-errata: false
repository/online/component/3.2-4-errata/description: Errata updates for UCS 3.2-4
repository/online/component/3.2-4-errata/version: 3.2
repository/online/component/3.2-4-errata: enabled
repository/online/port: 80
repository/online/server: updates.software-univention.de
repository/online/unmaintained: no
repository/online: yes
Comment 2 Tim Petersen univentionstaff 2014-12-22 10:02:02 CET
Created attachment 6560 [details]
package list

By the way - UCS 3.2-4 Errata266
Package list attached.
Comment 3 Tim Petersen univentionstaff 2014-12-22 12:51:15 CET
It seems like Erratum 262 and 263 announced newer package versions for firefox-* than in UCS 4.0.
Perhaps this is part of the problem.

I will tag this Errata.
Comment 4 Felix Botner univentionstaff 2014-12-22 15:23:32 CET

*** This bug has been marked as a duplicate of bug 37410 ***